API ReferenceConnected Accounts

Get connected account details by IDv3.1

GET
/api/v3.1/connected_accounts/{nanoid}

Retrieves comprehensive details of a connected account, including authentication configuration, connection status, and all parameters needed for API requests.

Authorization

x-api-key<token>

Project API key authentication

In: header

Path Parameters

nanoidstringRequired

The unique identifier (nanoid) of the connected account

Format: connectedAccountId

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v3.1/connected_accounts/ca_1a2b3c4d5e6f"
{  "toolkit": {    "slug": "string"  },  "auth_config": {    "id": "string",    "auth_scheme": "OAUTH2",    "is_composio_managed": true,    "is_disabled": true  },  "id": "string",  "authScheme": "OAUTH2",  "word_id": "string",  "alias": "string",  "user_id": "string",  "status": "INITIALIZING",  "experimental": {    "account_type": "PRIVATE",    "acl_config_for_shared": {      "allow_all_users": true,      "allowed_user_ids": [        "string"      ],      "not_allowed_user_ids": [        "string"      ]    }  },  "created_at": "string",  "updated_at": "string",  "state": {    "authScheme": "OAUTH1",    "val": {      "subdomain": "string",      "your-domain": "string",      "region": "string",      "shop": "string",      "account_url": "string",      "COMPANYDOMAIN": "string",      "extension": "string",      "form_api_base_url": "string",      "instanceEndpoint": "string",      "api_url": "string",      "borneo_dashboard_url": "string",      "proxy_username": "string",      "proxy_password": "string",      "domain": "string",      "version": "string",      "dc": "string",      "site_name": "string",      "instanceName": "string",      "account_id": "string",      "your_server": "string",      "server_location": "string",      "base_url": "string",      "status": "INITIALIZING",      "oauth_token": "string",      "authUri": "string",      "oauth_token_secret": "string",      "redirectUrl": "string",      "callbackUrl": "string",      "oauth_verifier": "string",      "consumer_key": "string",      "callback_url": "string",      "error": "string",      "error_description": "string",      "expired_at": "string"    }  },  "data": {    "property1": null,    "property2": null  },  "status_reason": "string",  "is_disabled": true,  "test_request_endpoint": "string",  "params": {    "property1": null,    "property2": null  },  "requested_scopes": [    "string"  ],  "requested_user_scopes": [    "string"  ]}